[global]
	; ADS setup to use kerberos 
  	workgroup = AD
  	security = ads
  	realm = AD.CS.WISC.EDU
	password server = bunyan.cs.wisc.edu
	encrypt passwords = yes
	;
        comment = Graphics Group Samba Server
        netbios name = GREMLIN
        server string = Samba Server %h (Version %v)
        log level = 5
        log file = /var/log/samba/%m.log
        max log size = 50
        socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
        ; dns proxy = yes
        null passwords = no
	map to guest = Bad Uid
	client ntlmv2 auth = yes
	min protocol = SMB2
	max protocol = SMB2


[graphics-video]
        comment = Graphics video repository
        browseable = yes
        writable = yes
        public = yes
        path = /export/gfxvideo
	valid users = +graphics
        create mode = 0660
        directory mode = 0770


[graphics-data]
        comment = Graphics group data
        browseable = yes
        writable = yes
        public = yes
        path = /export/gfxdata
	valid users = +graphics
        create mode = 0660
        directory mode = 0770

[acronis-data]
        comment = Acronis volume for testing VM backups
        browseable = yes
        writable = yes
        public = no
        path = /acronisdata
	valid users = windump
        create mode = 0664
        directory mode = 0775


;[profiles]
;        comment = network profiles share
;        path = /export/astridsan/smb1/profiles/
;	read only = no
;	store dos attributes = yes
;	create mask = 0600
;	directory mask = 0700
;        browseable = no
;	writeable = yes
;	guest ok = no
;	printable = no
;	profile acls = yes
;	hide files = /desktop.ini/outlook*.lnk/*Briefcase*/
;
;[profilestuff]
;        comment = network profiles share
;        path = /export/astridsan/smb1/profilestuff
;	read only = no
;	store dos attributes = yes
;	create mask = 0600
;	directory mask = 0700
;        browseable = no
;	writeable = yes
;	guest ok = no
;	printable = no
;	profile acls = yes
;	hide files = /desktop.ini/outlook*.lnk/*Briefcase*/
;
;[homes]
;	comment = Home Directories
;	valid users = CS.WISC.EDU\%s
;
;[host]
;        ; %m is netbios name, all lc, not fqdn
;        ; %M is the ip address
;        comment = host-specific directory
;        browseable = yes
;        writable = yes
;        ;valid users = timc
;        public = yes
;        path = /export/astridsan/smb1/%M
;        create mode = 0664
;        directory mode = 0775
;
;[test]
;        ; %m is netbios name, all lc, not fqdn
;        ; %M is the ip address
;        comment = host-specific directory
;        browseable = yes
;        writable = yes
;        public = yes
;        path = /export/astridsan/smb1/test
;        create mode = 0664
;        directory mode = 0775

